# $Revision: 1.197.2.89.2.6 $, $Date: 2007-11-22 17:43:04 $
# TODO
# - python bindings need some patch :)
#
# Conditional build:
%bcond_with	static	# don't use shared libraries
%bcond_without	imode	# don't build interactive mode
%bcond_without	python	# don't build python bindings
#
%ifarch %{x8664} alpha ppc
%undefine	with_python
%endif
#
# required versions (forced to avoid SEGV with mixed db used by rpm and poldek)
%define	ver_db	4.2.50-1
%define	ver_rpm	4.4.1
Summary:	RPM packages management helper tool
Summary(pl):	Pomocnicze narzdzie do zarzdzania pakietami RPM
Name:		poldek
Version:	0.20
Release:	20
License:	GPL v2
Group:		Applications/System
Source0:	http://poldek.pld-linux.org/download/%{name}-%{version}.tar.bz2
# Source0-md5:	61c0c03ee4a9de36339fc943b6901266
Source1:	%{name}.conf
Source2:	%{name}-multilib.conf
Source3:	%{name}-aliases.conf
Patch0:		%{name}-cvs-fixes.patch
Patch1:		%{name}-ask-abort.patch
Patch2:		%{name}-obsoletes.patch
Patch3:		%{name}-completion.patch
Patch4:		%{name}-notimestamps.patch
Patch5:		%{name}-config.patch
Patch6:		%{name}-uninstall-multilib.patch
Patch7:		%{name}-bug-5774.patch
Patch8:		%{name}-cli-hist.patch
Patch9:		%{name}-vserver-packages.patch
Patch10:	%{name}-multilib.patch
Patch11:	%{name}-as_needed-fix.patch
Patch12:	%{name}-ignorecaps.patch
Patch13:	%{name}-ac.patch
Patch14:	%{name}-nohold-fix.patch
URL:		http://poldek.pld-linux.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	check
BuildRequires:	db-devel >= %{ver_db}
BuildRequires:	gettext-autopoint
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel
BuildRequires:	perl-tools-pod
BuildRequires:	popt-devel
%{?with_python:BuildRequires:	python-devel}
BuildRequires:	readline-devel >= 5.0
BuildRequires:	rpm-devel >= %{ver_rpm}
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
%if %{with static}
BuildRequires:	bzip2-static
BuildRequires:	db-static >= %{ver_db}
BuildRequires:	glibc-static
BuildRequires:	libselinux-static
BuildRequires:	libxml2-static
BuildRequires:	ncurses-static
BuildRequires:	openssl-static
BuildRequires:	pcre-static
BuildRequires:	popt-static
BuildRequires:	readline-static
BuildRequires:	rpm-static
BuildRequires:	zlib-static
%endif
Requires(triggerpostun):	awk
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	db >= %{ver_db}
Requires:	openssl >= 0.9.7d
Requires:	rpm >= %{ver_rpm}
Requires:	sed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
poldek is an RPM package management tool which allows you to easily
perform package verification, installation (including system
installation from scratch), upgrading, and removal.

Program can be used in batch (like apt-get from Debian's APT) or
interactive mode. The interactive mode puts you into a readline
interface with command line autocompletion and history, similar to the
shell mode of Perl's CPAN.

%{?with_static:This version is statically linked.}

%{!?with_imode:This version hasn't got interactive mode.}

#'

%description -l pl
poldek jest narzdziem linii polece sucym do weryfikacji,
instalacji (wczajc instalacj systemu od zera), aktualizacji i
usuwania pakietw.

Program moe by uywany w trybie wsadowym (jak debianowy apt-get) lub
interaktywnym. Tryb interaktywny posiada interfejs readline z
dopenianiem komend i histori, podobny do trybu shell perlowego
moduu CPAN.

%{?with_static:Ta wersja jest konsolidowana statycznie.}

%{!?with_imode:Ta wersja nie posiada trybu interaktywnego.}

%package libs
Summary:	poldek libraries
Summary(pl):	Biblioteki poldka
Group:		Libraries

%description libs
poldek libraries.

%description libs -l pl
Biblioteki poldka.

%package devel
Summary:	Header files for poldek libraries
Summary(pl):	Pliki nagwkowe bibliotek poldka
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for poldek libraries.

%description devel -l pl
Pliki nagwkowe bibliotek poldka.

%package static
Summary:	poldek static libraries
Summary(pl):	Biblioteki statyczne poldka
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
poldek static libraries.

%description static -l pl
Biblioteki statyczne poldka.

%package -n python-poldek
Summary:	Python modules for poldek
Summary(pl):	Moduy jzyka Python dla poldka
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-poldek
Python modules for poldek.

%description -n python-poldek -l pl
Moduy jzyka Python dla poldka.

%prep
%setup -q
%patch0 -p2
%patch1 -p0
%patch2 -p0
%patch3 -p2
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p2
%patch8 -p2
%patch9 -p1
%ifarch %{x8664}
%patch10 -p1
%endif
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

%build
%{__libtoolize}
%{__autopoint}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
cd trurlib
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd ../tndb
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd ..

%configure \
	%{?with_static:--enable-static --disable-shared} \
	%{!?with_imode:--disable-imode} \
	%{?with_python:--with-python} \
	--enable-nls
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with python}
%{__make} -C python install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%{?with_static:rm -f $RPM_BUILD_ROOT%{_bindir}/rpmvercmp}

#
# CHANGE IT WHEN SWITCHING poldek.conf FROM AC TO TH !!!
#
%ifarch i386 i586 i686 ppc sparc alpha athlon
%define		_ftp_arch	%{_target_cpu}
%else
%ifarch %{x8664}
%define		_ftp_arch	amd64
%define		_ftp_alt_arch	i686
%else
%ifarch i486
%define		_ftp_arch	i386
%else
%ifarch pentium2 pentium3 pentium4
%define		_ftp_arch	i686
%else
%ifarch sparcv9 sparc64
%define		_ftp_arch	sparc
%endif
%endif
%endif
%endif
%endif

%{?with_static:rm -f $RPM_BUILD_ROOT%{_bindir}/rpmvercmp}

sed -e '
	s|%%ARCH%%|%{_ftp_arch}|g
' < %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/pld-source.conf

%ifarch %{x8664}
sed '
	s|%%ARCH%%|%{_ftp_alt_arch}|g
' < %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/pld-multilib-source.conf
%endif

install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/aliases.conf

# get rid of non-pld sources
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/{rh,fedora}-source.conf
# include them in %doc
rm -rf configs
cp -a conf configs
rm -f configs/Makefile*

%find_lang %{name}

%if %{with python}
%py_postclean
install -d $RPM_BUILD_ROOT%{py_sitedir}
mv $RPM_BUILD_ROOT{%{_libdir},%{py_sitedir}}/_poldekmod.so
rm -f $RPM_BUILD_ROOT%{_libdir}/_poldekmod.la
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%triggerpostun -- poldek <= 0.18.3-5
if [ -f /etc/poldek.conf ]; then
	sed -i -e '/^promoteepoch:.*yes/s/^/#/' /etc/poldek.conf
fi

# otherwise don't touch
%ifarch i386 i586 i686 ppc sparc alpha amd64 athlon
%triggerpostun -- poldek <= 0.18.7-1
if [ -f /etc/poldek.conf ]; then
	sed -i -e 's://ftp.pld-linux.org://ftp.ac.pld-linux.org:g' /etc/poldek.conf
fi
%endif

%triggerpostun -- poldek < 0.19.0-1.20050613.22.0
if [ -f /etc/poldek.conf.rpmsave ]; then
	awk '/^source/ {
	name = $3;
	path = $4;
	auto = "yes";
	autoup = "yes";
	type = "pdir";
	pri = "";

	if (sub(",noauto", "", name)) {
		auto = "no";
	}

	# process pri=\d+
	if (match(name, /,pri=[0-9]+/)) {
		pri = substr(name, RSTART + 5, RLENGTH - 5);
		name = substr(name, 1, RSTART - 1) substr(name, RSTART + RLENGTH);
	}

	# skip ac sources. already in new config.
	if (name !~ /^ac(-(ready|test|supported|updates-(general|security)))?$/) {
		print "";
		print "[source]";
		print "name = " name;
		print "type = " type;
		print "path = " path;
		print "auto = " auto;
		print "autoup = " autoup;
		if (pri) {
			print "pri = " pri;
		}
	}

	}' < /etc/poldek.conf.rpmsave >> /etc/poldek/source.conf
	echo "Converted old custom sources from /etc/poldek.conf.rpmsave to new poldek format in /etc/poldek/source.conf"

	# copy hold=
	hold=$(grep ^hold /etc/poldek.conf.rpmsave)
	if [ "$hold" ]; then
		sed -i -e "/^#hold =/s/^.*/$hold/" /etc/poldek/poldek.conf
	fi
fi

%triggerpostun -- poldek < 0.20-15
# add ignore = msmtp-sendmail* to [ac] source
# as it would otherwise replace postfix with msmtp-sendmail without even asking!!!
%{__sed} -i -e '/^path.*=.*%%{_pld_prefix}\/PLD\/%%{_pld_arch}\/PLD\/RPMS\//aignore = msmtp-sendmail*' %{_sysconfdir}/%{name}/pld-source.conf

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README* NEWS TODO configs/
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.conf
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*
%{_mandir}/man1/%{name}*
%lang(pl) %{_mandir}/pl/man1/%{name}*
%{_infodir}/poldek.info*

%if %{without static}
%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%endif

%files devel
%defattr(644,root,root,755)
%{!?with_static:%attr(755,root,root) %{_libdir}/lib*.so}
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%if %{with python}
%files -n python-poldek
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_poldekmod.so
%{py_sitescriptdir}/poldek.py[co]
%{py_sitescriptdir}/poldekmod.py[co]
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: poldek.spec,v $
Revision 1.197.2.89.2.6  2007-11-22 17:43:04  glen
- fixed multilib poldek conf; rel 20

Revision 1.197.2.89.2.5  2007-11-18 12:58:42  adamg
- make --nohold work (patch from megabajt@), solves bug #68
- release 19

Revision 1.197.2.89.2.4  2007-07-19 12:56:18  glen
- add trigger to escape from evil msmtp-sendmail; rel 18

Revision 1.197.2.89.2.3  2007/07/17 23:56:05  glen
- updated poldek.conf

Revision 1.197.2.89.2.2  2007/07/17 21:44:12  glen
- fix for current autotools; rel 16

Revision 1.197.2.89.2.1  2007/07/17 20:59:31  glen
- rel 15 (ignore buggy msmtp-sendmail from main)

Revision 1.197.2.89  2007/06/14 22:45:16  glen
- ppc python bindings also fails with incompatible types in assignment

Revision 1.197.2.88  2007/06/14 22:44:22  arekm
- ignore cpuinfo() and uname() caps; rel 14

Revision 1.197.2.87  2007/06/14 22:06:32  glen
- disable python on arches where it doesn't build

Revision 1.197.2.86  2007/04/02 08:27:08  glen
- also update poldek-multilib.conf

Revision 1.197.2.85  2007/04/02 08:12:05  hawk
- poldek.conf updated (updates security/general merged to just updates),
  no trigger needed, old locations are symlinked on ftp
- release 12

Revision 1.197.2.84  2007/01/06 22:25:15  glen
- rel 11

Revision 1.197.2.83  2006/12/20 00:01:43  glen
- rel 10

Revision 1.197.2.82  2006/08/05 12:31:05  sparky
- regenerate auto* in trurlib and tndb

Revision 1.197.2.81  2006/08/01 23:48:58  sparky
- sed moved to patch

Revision 1.197.2.80  2006/07/31 22:08:24  sparky
- link libvfile with -lutil - as-needed fix [AC-branch because ppcrcd uses it]

Revision 1.197.2.79  2006/06/07 14:05:22  sparky
- missing %if %{with python}

Revision 1.197.2.78  2006/06/07 08:53:57  sparky
- added --without python bcond

Revision 1.197.2.77  2006/06/06 22:31:31  glen
- move _poldekmod.so to python dir for python to find it

Revision 1.197.2.76  2006/06/06 22:26:44  glen
- build python bindings (shouldn't _poldekmod.so be in python dir?)

Revision 1.197.2.75  2006/05/31 19:28:20  glen
- keep multilib config in separate sourcefile; rel 9

Revision 1.197.2.74  2006/05/15 13:41:57  glen
- ignore vserver-packages, rel 8

Revision 1.197.2.73  2006/05/11 11:59:10  glen
- preserve trailing whitespaces in history (#5777), rel 7

Revision 1.197.2.72  2006/04/26 17:38:21  glen
- rel 6

Revision 1.197.2.71  2006/04/02 20:24:00  glen
- bugfixes from mis

Revision 1.197.2.70  2006/03/30 20:20:51  glen
- rel 5.1

Revision 1.197.2.69  2006/03/19 16:00:31  glen
- update from HEAD: updated cvs patch for (overloaded provides problem)
  http://bugs.pld-linux.org/index.php?do=details&id=5762, rel 5

Revision 1.197.2.68  2006/03/10 14:58:38  glen
- choose equivalents manually, rel 4

Revision 1.197.2.67  2006/03/10 14:43:52  glen
- adapterized, new homepage

Revision 1.197.2.66  2006/01/02 13:29:19  glen
- process also pri=2 when migrating to 0.20 config

Revision 1.197.2.65  2005/12/22 18:05:44  glen
- rel 3 (obsoletes patch needed to install recent apache)

Revision 1.197.2.64  2005/11/30 12:48:48  qboosh
- new patches: completion fix (from cvs), notimestamps

Revision 1.197.2.63  2005/11/27 20:42:37  glen
- no need to copy use_sudo, it's enabled automatically for non-root users
- shorten migrate message

Revision 1.197.2.62  2005/11/23 08:38:45  qboosh
- use x8664 macro

Revision 1.197.2.61  2005/11/23 01:30:49  pluto
- oops, wrong branch, last commit reverted.

Revision 1.197.2.60  2005/11/23 01:25:26  pluto
- poldek.conf tuned for Th.

Revision 1.197.2.59  2005/11/21 21:28:01  glen
- fix when obsoletes matched later than requires

Revision 1.197.2.58  2005/11/06 19:44:34  arekm
- rel 2; upstream fixes in a sane form

Revision 1.197.2.57  2005/11/06 17:02:53  glen
- patch from arekm

Revision 1.197.2.56  2005/11/04 17:16:13  qboosh
- home-etc is not used

Revision 1.197.2.55  2005/11/04 17:14:30  qboosh
- removed obsolete workaround, no need to write default attr

Revision 1.197.2.54  2005/11/04 16:43:00  qboosh
- more sorting

Revision 1.197.2.53  2005/11/04 15:42:59  qboosh
- -libs desc fix

Revision 1.197.2.52  2005/11/04 15:12:53  qboosh
- sorted BRs, removed unnecessary "if without" clauses

Revision 1.197.2.51  2005/11/03 21:00:14  glen
- bunch of nice fixes from mis

Revision 1.197.2.50  2005/10/28 17:19:59  arekm
- up to final/stable 0.20 (no changes from latest snap)

Revision 1.197.2.49  2005/10/27 13:34:13  arekm
- up to 20051027.00.1

Revision 1.197.2.48  2005/10/23 16:30:37  arekm
- up to 20051023.18

Revision 1.197.2.47  2005/10/17 22:08:44  pzurowski
- added BR for statically linked poldek
- bcoded out libs subpackage in statically linked poldek
- bcoded out *so in devel subpackage in statically linked poldek (maybe bcond out whole devel subpackage)

Revision 1.197.2.46  2005/10/10 17:10:40  arekm
- team is alive again

Revision 1.197.2.45  2005/10/10 15:54:53  arekm
- up to 20051010.17

Revision 1.197.2.44  2005/10/07 17:05:30  arekm
- up to 20051007.18 (all patches includes).

Revision 1.197.2.43  2005/10/03 20:18:48  arekm
- rel 5; 64bit split support

Revision 1.197.2.42  2005/10/03 09:43:07  arekm
- rel .4; fix packages comparsions

Revision 1.197.2.41  2005/09/22 18:08:04  arekm
- disable some debug messages (which probably caused segfaults, too)

Revision 1.197.2.40  2005/09/22 11:55:45  qboosh
- base requires equal version of -libs

Revision 1.197.2.39  2005/09/22 09:51:15  charles
- xml metadata indexes support is back, BR: libxml2-devel

Revision 1.197.2.38  2005/09/21 23:32:08  charles
- disabled xml metadata indexes support (removed libxml2 dep.)
- added -configure.patch (absent WITH_METADATA_REPOSITORY)

Revision 1.197.2.37  2005/09/21 21:30:07  arekm
- BR check; drop ac-am patch

Revision 1.197.2.36  2005/09/21 12:04:34  arekm
- rel 2; aliases are back

Revision 1.197.2.35  2005/09/21 07:06:40  arekm
- build fixed, rel fixed

Revision 1.197.2.34  2005/09/21 06:09:12  arekm
- new snap 20050921.00

Revision 1.197.2.33  2005/09/17 19:42:55  arekm
- new readline, 5.0

Revision 1.197.2.32  2005/09/15 23:10:52  glen
- remove %ALT_ARCH% from poldek.conf from non-multilib targets
- plural in -libs Summary

Revision 1.197.2.31  2005/09/12 15:34:58  glen
- have the newline in front of sources when migrating poldek.conf sources

Revision 1.197.2.30  2005/09/11 18:43:08  arekm
- rel .8

Revision 1.197.2.29  2005/09/11 18:10:48  arekm
- endian fix

Revision 1.197.2.28  2005/09/10 20:17:49  glen
- copy hold= from old poldek < 0.19 config, rel .7; STBR

Revision 1.197.2.27  2005/09/06 07:19:29  arekm
- rel .6

Revision 1.197.2.26  2005/08/18 09:11:29  baggins
- there is no reason amd64 port shouldn't work on Intel Xeon,
  so use i686 as multilib alt arch

Revision 1.197.2.25  2005/08/17 23:06:45  baggins
- properly sed pld-source

Revision 1.197.2.24  2005/08/17 22:41:18  baggins
- release 5
- added multilib source config

Revision 1.197.2.23  2005/08/09 12:54:02  glen
- remove non-pld configs from /etc/poldek
- propagate use_sudo from old config to new one

Revision 1.197.2.22  2005/07/30 14:05:59  glen
- fix older triggers not having /etc/poldek.conf

Revision 1.197.2.21  2005/07/30 14:03:07  glen
- notify user that sources were converted

Revision 1.197.2.20  2005/07/30 13:54:23  glen
- R awk for trigger

Revision 1.197.2.19  2005/07/30 13:53:17  glen
- add trigger to covert old (non-ac) sources to new format

Revision 1.197.2.18  2005/07/28 12:57:18  qboosh
- added prereq patch ported from poldek 0.18.x
- mark snapshot in release

Revision 1.197.2.17  2005/07/27 10:34:17  havner
- fix-info-dir

Revision 1.197.2.16  2005/07/27 10:07:29  havner
- also package info file
- BTW, why there is rel 1?? poldek 0.19 is not relased yet, there should
  be still 0.%snap.1 release

Revision 1.197.2.15  2005/07/26 21:12:23  arekm
- rel 1

Revision 1.197.2.14  2005/07/26 16:24:44  arekm
- readd lost br

Revision 1.197.2.13  2005/07/26 16:15:49  arekm
- fix cfg

Revision 1.197.2.12  2005/07/26 16:10:09  arekm
- merge from DEVEL

Revision 1.197.2.11  2005/07/25 13:46:23  qboosh
- sorted BRs

Revision 1.197.2.10  2005/07/25 13:38:35  qboosh
- added prereq patch (no legacy PreReq support in rpm 4.4 - avoid loops)
- release 0.2

Revision 1.197.2.9  2005/07/05 10:27:01  glen
- 0.18.9
- used sed in triggers (kills ed)
- adapterized, killed uninstalled files

Revision 1.197.2.8  2005/06/26 18:26:54  baggins
- release 10
- s/rpmcmd/pmcmd/ for compat with 0.19

Revision 1.197.2.7  2005/06/26 12:18:50  speedy
- fmtime patch, release 9

Revision 1.197.2.6  2005/06/17 21:08:01  arekm
- req rpm 4.4.1; rel 8

Revision 1.197.2.5  2005/06/17 16:20:51  baggins
- rel 7 to rebuild with rpm 4.4.1

Revision 1.197.2.4  2005/05/23 17:29:48  baggins
- release 6
- cleaner rpmcmd patch
- works for me

Revision 1.197.2.3  2005/05/20 22:29:10  baggins
- release 5.1
- added rpmcmd patch (poldek --rpmcmd /bin/some/other/rpm)

Revision 1.197.2.2  2005/04/26 12:29:24  qboosh
- release 5

Revision 1.197.2.1  2005/04/12 09:04:42  qboosh
- added cookie patch (bugfix, avoid small forward fseeks) to make poldek
  usable with glibc 2.3.5
- dropped distver stuff (use rpm 4.4.x DistTag instead)
- release 4

Revision 1.197  2005/03/14 11:58:19  hawk
- release 3 (2 for Ra)

Revision 1.196  2004/12/30 15:22:00  radek
- version 0.18.8
- removed applied patches: -po, -n_free, -transfer_rate, -capreq,
                           -fix_ls_output, depfix-pkgdrags

Revision 1.195  2004/12/29 14:46:57  qboosh
- autoheader

Revision 1.194  2004/12/29 14:29:28  qboosh
- -p0

Revision 1.193  2004/12/29 14:28:58  qboosh
- added depfix-pkgdrags patch from author; release 6

Revision 1.192  2004/12/11 00:49:24  ankry
- rel. 5

Revision 1.191  2004/12/01 19:13:31  patrys
- added my patch to fix the ls command in 0.18.7
- rel. up to 4
- STBR ASAP

Revision 1.190  2004/12/01 16:49:19  pluto
- temp. workaround for new rpm's api (thx. to Mi).

Revision 1.189  2004/11/25 11:17:15  qboosh
- _sysconfdir unification

Revision 1.188  2004/11/18 19:16:19  twittner
- "optional patch should be the last patch" - put patches in order.

Revision 1.187  2004/11/16 22:03:37  krolik
- fixed problem with ifo about total rate and transfer, rel 3

Revision 1.186  2004/11/13 18:42:50  twittner
- n_free() is superfluous and duplicates free() work - don't use it

Revision 1.185  2004/11/04 13:27:47  ankry
- typo

Revision 1.184  2004/11/04 11:15:27  ankry
- PLD-exotic arch support

Revision 1.183  2004/10/20 23:17:51  ankry
- trigger fix

Revision 1.182  2004/10/11 19:55:41  ankry
- trigger

Revision 1.181  2004/10/11 19:48:50  ankry
- OOPS, it is rpm's spec...

Revision 1.180  2004/10/11 19:46:19  ankry
- distributed ftp, rel. 2

Revision 1.179  2004/09/25 15:50:54  radek
- release 1, works

Revision 1.178  2004/09/25 15:46:31  radek
- removed -progress2 -deps-fix -obsoletes_provides -rev-promote -sigsegv2
  patches (applied); updated -po.patch

Revision 1.177  2004/09/25 15:36:00  radek
- version 0.18.7, removed -{pkorder,sigsegv,caplookup} patches (applied)

Revision 1.176  2004/09/15 19:02:59  havner
- bconded distver patch
- rel 19

Revision 1.175  2004/09/14 15:04:58  mmazur
- rel 18

Revision 1.174  2004/09/14 14:34:32  mmazur
- req rpm-lib(distver), not rpmlib(distver)
- didn't bump release - first must try to workaround the 'unknown tag' problem

Revision 1.173  2004/09/13 21:52:10  mmazur
- req rpmlib(distver); rel 17; am sending to builders

Revision 1.172  2004/09/13 21:10:46  mmazur
- req new rpm (that with distver)

Revision 1.171  2004/09/12 18:14:01  mmazur
- rel 15; fixed a braino in distver.patch; stbr

Revision 1.170  2004/09/11 14:26:27  mmazur
- uncommented distver patch

Revision 1.169  2004/09/07 16:59:44  mmazur
- dist versioning support (commented out)

Revision 1.168  2004/09/07 15:09:49  adamg
- release 13

Revision 1.167  2004/08/27 19:59:05  arekm
- fixes from mis; segfault problem can't be tested because ftp changed already

Revision 1.166  2004/08/27 19:52:42  qboosh
- new version of obsoletes_provides patch, release 12

Revision 1.165  2004/08/26 10:34:35  qboosh
- works, release 11

Revision 1.164  2004/08/25 15:49:57  qboosh
- added rev-promote patch (should fix pango/gtk+2 upgrade problem, but needs testing)

Revision 1.163  2004/08/25 12:49:54  qboosh
- added obsoletes_provides patch from author, release 10

Revision 1.162  2004/08/13 13:56:43  qboosh
- added deps-fix patch from author, release 9

Revision 1.161  2004/08/10 10:48:34  paszczus
- added poldek-po.patch; release 8

Revision 1.160  2004/07/07 16:51:46  patrys
- re-added my progressbar patch
- rel. up to 7

Revision 1.159  2004/07/06 10:07:50  mmazur
- rel6; fixed 'equal version installed'

Revision 1.158  2004/07/05 15:16:24  mmazur
- rel5; fix for previous patch

Revision 1.157  2004/07/05 10:58:28  mmazur
- rel4; previous patch works

Revision 1.156  2004/07/05 10:24:22  mmazur
- patch from mis for upgrading/installing through provides; needs testing

Revision 1.155  2004/07/05 10:13:16  wolf
- fix segmentation violation
- rel 3

Revision 1.154  2004/07/02 17:36:33  qboosh
- added pkgorder patch, release 2

Revision 1.153  2004/06/29 12:37:19  areq
- 0.18.6

Revision 1.152  2004/06/24 13:01:14  pluto
- cosmetics.

Revision 1.151  2004/06/22 21:03:17  qboosh
- added obsoletes-fix2 patch, release 5

Revision 1.150  2004/06/08 18:52:29  qboosh
- added obsoletes-fix patch, release 4

Revision 1.149  2004/06/08 15:04:33  areq
- add pkgset.patch - fix install-dist
  http://cvs.pld.org.pl/installer/poldek/pkgset.c?r1=1.55.4.2&r2=1.55.4.3
- rel 3 - STBR AC

Revision 1.148  2004/06/06 22:25:55  wolf
- fixed progress bar width (patch from mis)
- rel 2

Revision 1.147  2004/06/03 11:50:42  adamg
- updated to 0.18.5
- removed types.patch (applied upstream)

Revision 1.146  2004/05/10 20:11:10  andree
- removed obsoleted poldek-ignorearch.patch

Revision 1.145  2004/05/10 19:48:11  qboosh
- removed obsolete cap_match_req-fix patch (don't apply it 2nd time)

Revision 1.144  2004/05/09 22:20:47  arekm
- updated to 0.18.4

Revision 1.143  2004/04/30 09:00:11  patrys
- fixed progress bar for transfers >999 <1024, STBR

Revision 1.142  2004/04/24 22:16:38  qboosh
- added types patch (fixes SEGV on 64-bit archs), release 10

Revision 1.141  2004/04/07 20:45:49  adamg
- Patches should always be included in SRPM

Revision 1.140  2004/04/02 10:39:44  patrys
- further progress bar changes

Revision 1.139  2004/03/21 20:48:59  mwinkler
- fixed static (only added requred libs for -static)

Revision 1.138  2004/03/21 20:21:12  averne
- changed patch number

Revision 1.137  2004/03/21 20:14:51  averne
- rel 8 for rebuild with new progress bar

Revision 1.136  2004/03/21 19:54:56  averne
- added new progress bar

Revision 1.135  2004/03/19 23:46:34  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.134  2004/03/09 00:17:03  andree
- add as bcond_with ignarch (add ignorearch option - patch3)

Revision 1.133  2004/02/19 12:23:37  ankry
- reversed last change

Revision 1.131  2004/02/19 11:26:02  qboosh
- fixed trigger, updated Ra release in it; release 7

Revision 1.130  2004/02/19 07:18:52  qboosh
- removed outdated patches, added cap_match_req-fix patch from author
- release 6 (5 reserved for Ra)

Revision 1.129  2004/02/17 11:33:38  ankry
- contr-trigger for ra upgrade

Revision 1.128  2004/02/17 08:39:07  ankry
- rel.4: 3 is in ra

Revision 1.127  2004/01/15 12:16:43  jajcus
- Release: 2
- update config.sub in trurlib

Revision 1.126  2004/01/10 20:47:38  arekm
- correct tarball

Revision 1.125  2004/01/10 20:11:02  arekm
- updated to 0.18.3

Revision 1.124  2004/01/09 19:00:42  arekm
- updated to current version from stable poldek branch

Revision 1.123  2003/12/31 12:53:54  arekm
- added libselinux-devel to rpm-devel requires; removed from poldek br

Revision 1.122  2003/12/31 12:07:53  troll
- BR: libselinux-devel

Revision 1.121  2003/12/24 11:28:37  arekm
- allow proxy to cache data

Revision 1.120  2003/12/09 23:39:09  yoshi
- BR fix: /usr/bin/pod2man -> perl-tools-pod

Revision 1.119  2003/12/05 18:59:34  qboosh
- added unaligned patch to kill unaligned traps on alpha
  (and fix 64-bit time_t handling on more archs)
- release 17

Revision 1.118  2003/11/28 22:39:54  qboosh
- force switch to db4.2 and rpm built with it, release 16

Revision 1.117  2003/11/27 16:15:48  qboosh
- fixed epoch0 patch, release 15

Revision 1.116  2003/11/26 16:40:56  adgor
- Added ldb4.patch
- Release 14

Revision 1.115  2003/11/24 00:09:59  qboosh
- removed R: pcre (autogenerated)

Revision 1.114  2003/11/23 14:20:55  zytek
- R: pcre

Revision 1.113  2003/11/23 01:34:25  qboosh
- added epoch0 patch (follow rpm 4.2.1+: no Epoch means Epoch 0)
- release 13 (only for rpm 4.2.1+!)

Revision 1.112  2003/11/15 23:32:15  eothane
- bconds

Revision 1.111  2003/10/20 11:40:29  qboosh
- removed R: pcre - it is autogenerated

Revision 1.110  2003/10/17 23:58:01  havner
- R: openssl and R:pcre

Revision 1.109  2003/09/30 20:18:30  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.108  2003/09/02 13:58:59  mmazur
- rel 12 for ac... let's play

Revision 1.107  2003/08/18 21:38:54  arekm
- really apply patch5 (taken from poldek repo by ankry) and add another patch that fixes segfaults when rpmdb is a bit corrupted; rel 11

Revision 1.106  2003/07/16 12:24:41  ankry
- merge changes from cvs.pld.org.pl by mis and kloczek

Revision 1.105  2003/07/15 07:24:40  qboosh
- BR: gettext-autopoint is back

Revision 1.104  2003/06/30 08:05:20  serek
- more BR.

Revision 1.103  2003/06/19 20:10:26  qboosh
- updated etc_dir patch: s/ETC_DIR/HOME_ETC/, dots are back
- cleanups

Revision 1.102  2003/06/01 16:42:49  djrzulf
- md5 fixed,

Revision 1.101  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.100  2003/05/25 06:25:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.99  2003/05/19 14:17:57  wiget
- rebuild

Revision 1.98  2003/05/02 09:19:50  gotar
- added poldek-retr_term.patch,
- release 8.

Revision 1.97  2003/04/30 13:15:25  mis
- rpm 4.1 bugfix (rpm4.1-fix.patch); rel 7

Revision 1.96  2003/04/15 17:04:40  mis
- updated rpm-4.2 patch; release 6

Revision 1.95  2003/04/07 12:27:42  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.94  2003/04/02 10:37:44  mis
- rpm 4.2 patch
- commented out home_etc patch (juandon: please test it yourself,
  and if everything will works fine, uncomment)
- adapterized
- release 5

Revision 1.93  2003/03/27 22:29:28  malekith
- br ncurses-static if --with static

Revision 1.92  2003/03/16 22:03:50  migo
- BR: gettext-autopoint

Revision 1.91  2003/03/10 08:03:47  juandon
- added home_etc.patch
- Release 4.5
- Please test and if everything works fine, set integer release

Revision 1.90  2003/03/06 19:24:54  wiget
- added static.patch (fix --with static)
- remove gettext hack (not needed now)
- release 4

Revision 1.89  2003/02/19 12:24:12  malekith
- release 3; to rebuild on nest builders with new openssl

Revision 1.88  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.87  2003/02/09 23:32:56  undefine
- poldek-static br readline-static

Revision 1.86  2002/12/14 11:35:33  wrobell
- rel. 2

Revision 1.85  2002/12/11 00:18:56  wrobell
- rel. 1.1 to rebuild on nest/ppc

Revision 1.84  2002/12/08 01:16:00  martii
- added BR automake and autoconf

Revision 1.83  2002/11/27 19:46:36  mis
- updated to 0.18.1

Revision 1.82  2002/11/23 10:18:41  djrzulf
- STBR !
- Release 7,
- s/securirity/security/ at poldek.conf

Revision 1.81  2002/11/22 19:01:30  kloczek
- release 6: corrected ra-updates-* repositories paths.

Revision 1.80  2002/11/21 21:48:03  kloczek
- release 5: changes in default poldek.conf file:
-- added commneted ra-updates-general packages repository,
-- added uncommented ra-updates-security packages repository.

Revision 1.79  2002/11/14 19:26:27  mis
- yet another bugfix patch

Revision 1.78  2002/11/14 16:52:52  mis
- corrected name of the patch

Revision 1.77  2002/11/14 16:51:13  mis
- another bugfix patch; rel 4; stbr

Revision 1.76  2002/11/12 20:23:56  jack
- Changed location of Ra+2.4.1{8,9} packs for i686. Now they are in the same place as i586 - I think macro in poldek.spec should replace i686 to proper %target_cpu, so please check it first
- bumped release.

Revision 1.75  2002/11/12 12:34:55  mis
- +poldek-vfprogress.patch; release 2

Revision 1.74  2002/11/09 15:11:33  qboosh
- removed BR: db3-devel - db version is determined by rpm

Revision 1.73  2002/11/08 21:52:57  kloczek
- s/db/db3/ in BuildRequires rules.

Revision 1.72  2002/11/07 18:17:55  mis
- updated to 0.18

Revision 1.71  2002/10/28 16:12:52  zytek
- rel++, removed GNOME2-Pack from poldek.conf

Revision 1.70  2002/10/20 18:23:03  mmazur
- from DEVEL

Revision 1.69.2.3  2002/10/15 17:17:26  misiek
- new fixed from mis; rel 2

Revision 1.69.2.2  2002/10/15 08:13:54  wiget
- now compiles

Revision 1.69.2.1  2002/10/14 12:25:45  misiek
- rpm4 snap

Revision 1.69.2.39  2005/06/26 12:31:06  speedy
- BR: home-etc-devel

Revision 1.69.2.38  2005/06/25 11:10:19  paszczus
- added snap version to previous commit

Revision 1.69.2.37  2005/06/25 10:36:32  averne
- updated [20050613.22]

Revision 1.69.2.36  2005/05/15 19:31:20  wolf
- 20050515.19

Revision 1.69.2.35  2005/05/05 21:40:33  wiget
- workaround for fopencookie() in glibc 2.3.5
- release 0.snap.2

Revision 1.69.2.34  2005/04/27 21:52:17  wolf
- 20050426.21

Revision 1.69.2.33  2005/04/12 19:48:08  patrys
- up to 20050410.16 snapshot

Revision 1.69.2.32  2005/02/20 02:08:44  gotar
- BR: libtool

Revision 1.69.2.31  2004/12/16 10:30:51  pluto
- updated to 0.19.0-cvs20041215.21 (uninstall bug fixed).

Revision 1.69.2.30  2004/12/15 10:40:10  pluto
- updated to 0.19.0-snap20041213.21.

Revision 1.69.2.29  2004/12/14 15:14:22  pluto
- gcc4 fixes.

Revision 1.69.2.28  2004/12/09 23:34:55  wolf
- capreq

Revision 1.69.2.27  2004/10/17 07:46:29  gotar
- trigger has gone, so removed R: ed

Revision 1.69.2.26  2004/10/11 20:36:58  wiget
- updated 0.19.0-cvs20041011.21

Revision 1.69.2.25  2004/10/09 10:57:36  wolf
- remove obsolete links

Revision 1.69.2.24  2004/10/08 19:04:53  patrys
- updated for latest snapshot - 20041008.17

Revision 1.69.2.23  2004/10/06 15:36:34  patrys
- updated for most recent snapshot

Revision 1.69.2.22  2004/10/06 10:02:02  wiget
- added apt mode "binaries"

Revision 1.69.2.21  2004/10/06 09:38:36  wiget
- updated to 20041005.23 snapshot

Revision 1.69.2.20  2004/10/03 16:29:34  wolf
- 20041003.16

Revision 1.69.2.19  2004/10/02 21:18:44  arekm
- updated

Revision 1.69.2.18  2004/10/02 13:26:58  arekm
- snap update

Revision 1.69.2.17  2004/10/02 10:01:43  arekm
- new snap

Revision 1.69.2.16  2004/10/01 17:07:41  gotar
- fixed arch rewriting once more

Revision 1.69.2.15  2004/10/01 13:00:04  arekm
- regenerated

Revision 1.69.2.14  2004/09/30 19:28:13  arekm
- updated to 20040930

Revision 1.69.2.13  2004/09/29 14:29:38  wolf
- fix building on gcc 3.4.x

Revision 1.69.2.12  2004/09/29 07:33:08  gotar
- fixed arch rewriting

Revision 1.69.2.11  2004/09/28 21:31:12  arekm
- repackaged

Revision 1.69.2.10  2004/09/28 18:37:16  arekm
- include all configs

Revision 1.69.2.9  2004/09/28 17:57:08  arekm
- FIRST POLDEK2 SNAPSHOT

Revision 1.69.2.8  2004/04/24 22:17:41  qboosh
- added types patch (fixes SEGV on 64-bit archs), release .2

Revision 1.69.2.7  2004/03/23 19:41:03  arekm
- updated to snapshot 20040323 (mis fixed 3 deps related bugs)

Revision 1.69.2.6  2004/02/25 20:44:11  arekm
- capreq patch not needed (said mis)

Revision 1.69.2.5  2004/02/24 23:29:12  arekm
20040224 snap

Revision 1.133  2004/02/19 12:23:37  ankry
- reversed last change

Revision 1.131  2004/02/19 11:26:02  qboosh
- fixed trigger, updated Ra release in it; release 7

Revision 1.130  2004/02/19 07:18:52  qboosh
- removed outdated patches, added cap_match_req-fix patch from author
- release 6 (5 reserved for Ra)

Revision 1.129  2004/02/17 11:33:38  ankry
- contr-trigger for ra upgrade

Revision 1.128  2004/02/17 08:39:07  ankry
- rel.4: 3 is in ra

Revision 1.127  2004/01/15 12:16:43  jajcus
- Release: 2
- update config.sub in trurlib

Revision 1.126  2004/01/10 20:47:38  arekm
- correct tarball

Revision 1.125  2004/01/10 20:11:02  arekm
- updated to 0.18.3

Revision 1.124  2004/01/09 19:00:42  arekm
- updated to current version from stable poldek branch

Revision 1.123  2003/12/31 12:53:54  arekm
- added libselinux-devel to rpm-devel requires; removed from poldek br

Revision 1.122  2003/12/31 12:07:53  troll
- BR: libselinux-devel

Revision 1.121  2003/12/24 11:28:37  arekm
- allow proxy to cache data

Revision 1.120  2003/12/09 23:39:09  yoshi
- BR fix: /usr/bin/pod2man -> perl-tools-pod

Revision 1.119  2003/12/05 18:59:34  qboosh
- added unaligned patch to kill unaligned traps on alpha
  (and fix 64-bit time_t handling on more archs)
- release 17

Revision 1.118  2003/11/28 22:39:54  qboosh
- force switch to db4.2 and rpm built with it, release 16

Revision 1.117  2003/11/27 16:15:48  qboosh
- fixed epoch0 patch, release 15

Revision 1.116  2003/11/26 16:40:56  adgor
- Added ldb4.patch
- Release 14

Revision 1.115  2003/11/24 00:09:59  qboosh
- removed R: pcre (autogenerated)

Revision 1.114  2003/11/23 14:20:55  zytek
- R: pcre

Revision 1.113  2003/11/23 01:34:25  qboosh
- added epoch0 patch (follow rpm 4.2.1+: no Epoch means Epoch 0)
- release 13 (only for rpm 4.2.1+!)

Revision 1.112  2003/11/15 23:32:15  eothane
- bconds

Revision 1.111  2003/10/20 11:40:29  qboosh
- removed R: pcre - it is autogenerated

Revision 1.110  2003/10/17 23:58:01  havner
- R: openssl and R:pcre

Revision 1.109  2003/09/30 20:18:30  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.108  2003/09/02 13:58:59  mmazur
- rel 12 for ac... let's play

Revision 1.107  2003/08/18 21:38:54  arekm
- really apply patch5 (taken from poldek repo by ankry) and add another patch
  that fixes segfaults when rpmdb is a bit corrupted; rel 11

Revision 1.106  2003/07/16 12:24:41  ankry
- merge changes from cvs.pld.org.pl by mis and kloczek

Revision 1.105  2003/07/15 07:24:40  qboosh
- BR: gettext-autopoint is back

Revision 1.104  2003/06/30 08:05:20  serek
- more BR.

Revision 1.103  2003/06/19 20:10:26  qboosh
- updated etc_dir patch: s/ETC_DIR/HOME_ETC/, dots are back
- cleanups

Revision 1.102  2003/06/01 16:42:49  djrzulf
- md5 fixed,

Revision 1.101  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.100  2003/05/25 06:25:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.99  2003/05/19 14:17:57  wiget
- rebuild

Revision 1.98  2003/05/02 09:19:50  gotar
- added poldek-retr_term.patch,
- release 8.

Revision 1.97  2003/04/30 13:15:25  mis
- rpm 4.1 bugfix (rpm4.1-fix.patch); rel 7

Revision 1.96  2003/04/15 17:04:40  mis
- updated rpm-4.2 patch; release 6

Revision 1.95  2003/04/07 12:27:42  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.94  2003/04/02 10:37:44  mis
- rpm 4.2 patch
- commented out home_etc patch (juandon: please test it yourself,
  and if everything will works fine, uncomment)
- adapterized
- release 5

Revision 1.93  2003/03/27 22:29:28  malekith
- br ncurses-static if --with static

Revision 1.92  2003/03/16 22:03:50  migo
- BR: gettext-autopoint

Revision 1.91  2003/03/10 08:03:47  juandon
- added home_etc.patch
- Release 4.5
- Please test and if everything works fine, set integer release

Revision 1.90  2003/03/06 19:24:54  wiget
- added static.patch (fix --with static)
- remove gettext hack (not needed now)
- release 4

Revision 1.89  2003/02/19 12:24:12  malekith
- release 3; to rebuild on nest builders with new openssl

Revision 1.88  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.87  2003/02/09 23:32:56  undefine
- poldek-static br readline-static

Revision 1.86  2002/12/14 11:35:33  wrobell
- rel. 2

Revision 1.85  2002/12/11 00:18:56  wrobell
- rel. 1.1 to rebuild on nest/ppc

Revision 1.84  2002/12/08 01:16:00  martii
- added BR automake and autoconf

Revision 1.83  2002/11/27 19:46:36  mis
- updated to 0.18.1

Revision 1.82  2002/11/23 10:18:41  djrzulf
- STBR !
- Release 7,
- s/securirity/security/ at poldek.conf

Revision 1.81  2002/11/22 19:01:30  kloczek
- release 6: corrected ra-updates-* repositories paths.

Revision 1.80  2002/11/21 21:48:03  kloczek
- release 5: changes in default poldek.conf file:
- added commneted ra-updates-general packages repository,
- added uncommented ra-updates-security packages repository.

Revision 1.79  2002/11/14 19:26:27  mis
- yet another bugfix patch

Revision 1.78  2002/11/14 16:52:52  mis
- corrected name of the patch

Revision 1.77  2002/11/14 16:51:13  mis
- another bugfix patch; rel 4; stbr

Revision 1.76  2002/11/12 20:23:56  jack
- Changed location of Ra+2.4.1{8,9} packs for i686. Now they are in the same
  place as i586 - I think macro in poldek.spec should replace i686 to proper
  %target_cpu, so please check it first
- bumped release.

Revision 1.75  2002/11/12 12:34:55  mis
- +poldek-vfprogress.patch; release 2

Revision 1.74  2002/11/09 15:11:33  qboosh
- removed BR: db3-devel - db version is determined by rpm

Revision 1.73  2002/11/08 21:52:57  kloczek
- s/db/db3/ in BuildRequires rules.

Revision 1.72  2002/11/07 18:17:55  mis
- updated to 0.18

Revision 1.71  2002/10/28 16:12:52  zytek
- rel++, removed GNOME2-Pack from poldek.conf

Revision 1.70  2002/10/20 18:23:03  mmazur
- from DEVEL

Revision 1.69.2.3  2002/10/15 17:17:26  misiek
- new fixed from mis; rel 2

Revision 1.69.2.2  2002/10/15 08:13:54  wiget
- now compiles

Revision 1.69.2.1  2002/10/14 12:25:45  misiek
- rpm4 snap

Revision 1.69  2002/10/11 12:11:18  gotar
- typo

Revision 1.68  2002/10/05 11:26:27  gotar
- added Requires: sed (cdid function in vfjuggle)

Revision 1.67  2002/09/20 16:24:01  mis
- updated to 0.17.9; fixed 'sed s/i686/ARCH/' problem; STBR

Revision 1.66  2002/09/11 22:13:05  jack
- Bumped release coz modified poldek.conf (corrected and added sources to Ra-Pack)
- STB, please

Revision 1.65  2002/09/06 12:24:35  blues
- release 3 - removed KDE3-Pack from poldek.conf - STBR after moving KDE3
  from /test

Revision 1.64  2002/08/25 00:26:03  qboosh
- GPL v2

Revision 1.63  2002/08/24 22:57:29  krzak
- fixed source URL
- release 2

Revision 1.62  2002/08/22 16:16:10  mis
- updated to 0.17.8

Revision 1.61  2002/08/08 13:23:37  qboosh
- typo patch: fix for typo in pl.po
- epoch patch: fix for Epoch-related bug in obsoletes processing
  (broke ls -u cache, processing orphaned packages and probably greedy option)
- release 2 (better /test first...)

Revision 1.60  2002/06/14 16:16:00  mis
- updated to 0.17.7

Revision 1.59  2002/06/08 21:55:15  undefine
- poldek static requires pcre-static and db1-static

Revision 1.58  2002/06/08 20:58:34  filon
- added missiong lanaguage files (using find_lang)
- new %doc
- release 2

Revision 1.57  2002/06/03 15:56:44  mis
- updated to 0.17.6

Revision 1.56  2002/05/15 18:12:55  mis
- updated to 0.17.5; stbr

Revision 1.55  2002/05/06 17:05:06  mis
- update to 0.17.4
- temporary removed linking with sys installed trurlib cause to its
  frequent changes

Revision 1.54  2002/04/23 09:43:08  mis
- STBR

Revision 1.53  2002/04/21 16:38:25  mis
- updated to 0.17.3

Revision 1.52  2002/04/09 12:20:44  malekith
- patch should be applaied, not only included :)

Revision 1.51  2002/04/09 12:16:40  malekith
- rel 3
- added patch that fixes bug in handling vfjuggle

Revision 1.50  2002/04/06 12:08:39  malekith
- added --without curl bcond

Revision 1.49  2002/04/04 09:13:51  orzech
- added ra-supported to poldek.conf, STBR

Revision 1.48  2002/03/29 01:26:32  mis
- updated to 0.17.2

Revision 1.47  2002/03/27 12:13:50  mis
- pl description corrections

Revision 1.46  2002/03/27 10:24:09  mis
- fixed source URL; added URL tag

Revision 1.45  2002/03/27 10:21:16  mis
- PLD poldek.conf moved (and fixed) to SOURCES; rel 2; stbr

Revision 1.44  2002/03/26 23:42:02  mis
- updated to 0.17.1

Revision 1.43  2002/03/26 00:11:34  mis
- fixed preparation of poldek.conf

Revision 1.42  2002/03/25 23:52:50  mis
- updated to 0.17

Revision 1.41  2002/03/16 12:30:36  malekith
- removed BOOT
- --without imode bcond added
- more pl desc

Revision 1.40  2002/03/15 11:48:21  mis
- requires trurlib 0.43.4; rel 3; STBR as soon as possible

Revision 1.39  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.38  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.37  2002/02/11 23:19:47  qboosh
- BR popt-devel, popt-static only when building statically
- adapterized, release 2

Revision 1.36  2002/01/31 09:41:06  mis
- added 'static' bcond

Revision 1.35  2002/01/30 18:29:45  mis
- autoupdated to 0.16

Revision 1.34  2002/01/18 02:14:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2002/01/11 16:43:51  mis
- autoupdated to 0.15.9

Revision 1.32  2001/10/29 11:13:45  mis
- autoupdated to 0.15.8

Revision 1.31  2001/10/11 15:10:27  mis
- fixed source URL; release 2 (may be STB)

Revision 1.30  2001/10/10 14:41:10  mis
- updated to 0.15.7; STB

Revision 1.29  2001/09/20 10:10:14  mis
- STB

Revision 1.28  2001/09/13 10:06:23  filon
- rebuild with optimized zlib-static, release 2

Revision 1.27  2001/09/12 16:33:33  mis
- trurlib 0.43.3 is needed

Revision 1.26  2001/09/12 16:28:04  mis
- updated to 0.15.6
- added global config

Revision 1.25  2001/08/28 12:06:58  filon
- chagded BuildReq: pod2man to perl-devel

Revision 1.24  2001/08/22 17:30:39  filon
- changed BuilReq:/usr/bin/pod2man to pod2man

Revision 1.23  2001/07/20 16:42:27  mis
- updated to 0.15.5

Revision 1.22  2001/07/17 16:12:09  mis
- updated to 0.15.4

Revision 1.21  2001/07/16 20:32:30  kloczek
- reorder BuildRequires rules.

Revision 1.20  2001/07/16 18:38:31  kloczek
- added rpm-static to BuildRequires if %{BOOT}.

Revision 1.19  2001/07/16 15:19:03  mis
- updated to 0.15.3

Revision 1.18  2001/07/13 15:18:20  mis
- updated to 0.15.2

Revision 1.17  2001/06/28 14:28:13  mis
- updated to 0.15.1

Revision 1.16  2001/06/27 19:20:27  klakier
- removed rpmvercmp from -BOOT
- added debug options to -BOOT (do not work, though))

Revision 1.15  2001/06/27 18:32:55  klakier
- removed -m386

Revision 1.14  2001/06/27 18:09:22  mis
- updated to 0.15

Revision 1.13  2001/06/18 11:31:31  mis
- updated to 0.14.1

Revision 1.12  2001/06/12 18:14:19  mis
- updated to 0.14

Revision 1.11  2001/05/22 23:29:59  klakier
- added -m386 to BOOT

Revision 1.10  2001/05/21 13:27:54  klakier
- more buildrequires

Revision 1.9  2001/05/18 22:28:24  serek
- popt-static added to buildrequires.

Revision 1.8  2001/05/18 18:58:16  mis
- autoupdated to 0.13

Revision 1.7  2001/05/18 12:31:56  roman
- added polish Summary and %description.

Revision 1.6  2001/05/11 14:06:55  klakier
- fixed BuildRequires

Revision 1.5  2001/04/27 20:09:10  kloczek
- finam cleanups.

Revision 1.4  2001/04/27 14:24:43  wiget
- fix buildrequires

Revision 1.3  2001/04/27 14:08:11  klakier
- removed rpmvercmp from BOOT

Revision 1.2  2001/04/23 11:43:26  klakier
- ver 0.12
- added BOOT package

Revision 1.1  2000/09/25 00:00:09  mis
- initial version
